libnvme(2)

NAME
struct nvme_get_features_args - Arguments for the NVMe Admin Get Feature command

SYNOPSIS
struct nvme_get_features_args {
__u32 *result;
void *data;
int args_size;
int fd;
__u32 timeout;
__u32 nsid;
enum nvme_get_features_sel sel;
__u32 cdw11;
__u32 data_len;
__u8 fid;
__u8 uuidx;
};

Members

result
    The command completion result from CQE dword0

data
    User address of feature data, if applicable

args_size
    Size of struct nvme_get_features_args

fd  File descriptor of nvme device

timeout
    Timeout in ms

nsid
    Namespace ID, if applicable

sel Select which type of attribute to return, see enum nvme_get_features_sel

cdw11
    Feature specific command dword11 field

data_len
    Length of feature data, if applicable, in bytes

fid Feature identifier, see enum nvme_features_id

uuidx
    UUID Index for differentiating vendor specific encoding